### NOTE don't forget to update also pageedit at https://github.com/Sigil-Ebook/PageEdit/tags

%define oname	Sigil

Name:		sigil
Version:	2.3.1
Release:	%mkrel 1
Summary:	A free open source WYSIWYG ebook editor
License:	GPLv3
Group:		Office/Utilities
Url:		https://sigil-ebook.com/
Source0:	https://github.com/Sigil-Ebook/Sigil/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		sigil-0.9.8-mga-desktop_french_translation.patch
# Originally from Fedora
Patch10:	sigil-minizip-ng.patch
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:	aarch64 x86_64
BuildRequires:	cmake
BuildRequires:	qttools6
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6WebEngineCore)
BuildRequires:	cmake(Qt6WebEngineWidgets)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	pkgconfig(hunspell) >= 1.3.2
BuildRequires:	pkgconfig(libpcre2-16)
BuildRequires:	pkgconfig(zlib) >= 1.2.7
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(python3)

Requires:	python3dist(lxml)

%description
Sigil is a free and open source WYSIWYG ebook editor.
It is designed to edit books in ePub format.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake_qt6 \
	-DUSE_QT6=ON \
	-DSHARE_INSTALL_PREFIX=%{_prefix} \
	-DUSE_SYSTEM_LIBS:BOOL=ON \
	-DBUILD_SHARED_LIBS:BOOL=OFF
%cmake_build

%install
%cmake_install

find %{buildroot} -name 'opf_newparser.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;
find %{buildroot} -name 'sanitycheck.py' -exec sed -i -e 's|#!/usr/bin/env python|#!/usr/bin/env python3|g' {} \;

# install icons for the .desktop file
install -m644 -D src/Resource_Files/icon/app_icons_orig/app_icon_scalable.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%files
%doc ChangeLog.txt README.md
%license COPYING.txt
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/pixmaps/*.png


%changelog
* Sat Sep 14 2024 daviddavid <daviddavid> 2.3.1-1.mga10
+ Revision: 2095983
- new version: 2.3.1

* Sat Jun 29 2024 daviddavid <daviddavid> 2.2.1-1.mga10
+ Revision: 2078002
- new version: 2.2.1

* Thu Jun 20 2024 daviddavid <daviddavid> 2.2.0-1.mga10
+ Revision: 2075906
- new version: 2.2.0

* Fri Apr 26 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2061170
- new version: 2.1.0

* Thu Dec 28 2023 daviddavid <daviddavid> 2.0.2-3.mga10
+ Revision: 2023230
- rebuild for py3.12

* Fri Nov 24 2023 daviddavid <daviddavid> 2.0.2-2.mga10
+ Revision: 2009437
- new version: 2.0.2

* Sun Oct 15 2023 wally <wally> 2.0.1-2.mga10
+ Revision: 1997022
- rebuild for minizip from minizip-ng

* Sat Oct 14 2023 daviddavid <daviddavid> 2.0.1-1.mga10
+ Revision: 1996591
- new version: 2.0.1

* Sat May 13 2023 daviddavid <daviddavid> 1.9.30-1.mga9
+ Revision: 1956702
- new version: 1.9.30

* Sun Apr 16 2023 daviddavid <daviddavid> 1.9.20-3.mga9
+ Revision: 1953292
- enable pcre2 support

* Wed Jan 04 2023 daviddavid <daviddavid> 1.9.20-2.mga9
+ Revision: 1929955
- switch to Qt6

* Sat Sep 10 2022 papoteur <papoteur> 1.9.20-1.mga9
+ Revision: 1886525
- new 1.9.20

* Mon Aug 22 2022 papoteur <papoteur> 1.9.10-1.mga9
+ Revision: 1879127
- new 1.9.10

* Tue Apr 05 2022 umeabot <umeabot> 1.5.1-3.mga9
+ Revision: 1845394
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.5.1-2.mga9
+ Revision: 1778516
- Rebuild for python-3.10

* Sun Mar 28 2021 daviddavid <daviddavid> 1.5.1-1.mga9
+ Revision: 1711584
- new version: 1.5.1

* Fri Mar 26 2021 daviddavid <daviddavid> 1.5.0-1.mga9
+ Revision: 1710365
- new version: 1.5.0

* Sat Mar 20 2021 daviddavid <daviddavid> 1.4.3-3.mga9
+ Revision: 1705240
- rebuild for python 3.9

* Thu Dec 17 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1659847
- Rebuild for new Qt5

* Tue Dec 15 2020 daviddavid <daviddavid> 1.4.3-1.mga8
+ Revision: 1657631
- new version: 1.4.3

* Fri Nov 20 2020 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1647930
- new version: 1.4.1

* Mon Nov 16 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1646509
- new version: 1.4.0

* Wed Jul 22 2020 ovitters <ovitters> 1.3.0-2.mga8
+ Revision: 1608023
- rebuild for get rid of pythonegg requires

* Wed Jul 22 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1607832
- new version: 1.3.0
+ ovitters <ovitters>
- convert pythonegg(3) into python3dist()

* Tue Mar 31 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1562576
- new version: 1.2.1

* Thu Feb 20 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1547261
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1487732
- new version: 1.1.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 20 2019 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1469091
- new version: 1.0.0

* Sat Sep 14 2019 daviddavid <daviddavid> 0.9.18-2.mga8
+ Revision: 1440810
- rebuild for python3.8

* Thu Sep 05 2019 daviddavid <daviddavid> 0.9.18-1.mga8
+ Revision: 1437499
- new version: 0.9.18

* Mon Aug 19 2019 daviddavid <daviddavid> 0.9.17-1.mga8
+ Revision: 1430245
- new version: 0.9.17

* Sun Jul 21 2019 daviddavid <daviddavid> 0.9.16-1.mga8
+ Revision: 1423298
- new version: 0.9.16

* Sun Jun 30 2019 daviddavid <daviddavid> 0.9.15-1.mga8
+ Revision: 1416360
- new version: 0.9.15

* Sun Jun 30 2019 daviddavid <daviddavid> 0.9.14-1.mga8
+ Revision: 1416241
- new version: 0.9.14

* Tue Apr 02 2019 umeabot <umeabot> 0.9.13-2.mga7
+ Revision: 1384796
- Qt5 Rebuild

* Thu Mar 21 2019 daviddavid <daviddavid> 0.9.13-1.mga7
+ Revision: 1379361
- new version: 0.9.13

* Fri Feb 22 2019 daviddavid <daviddavid> 0.9.12-1.mga7
+ Revision: 1369323
- new version: 0.9.12

* Sun Feb 17 2019 daviddavid <daviddavid> 0.9.11-1.mga7
+ Revision: 1368058
- new version: 0.9.11

* Wed Jan 09 2019 daviddavid <daviddavid> 0.9.10-4.mga7
+ Revision: 1353103
- rebuild for new Python 3.7

* Fri Nov 23 2018 daviddavid <daviddavid> 0.9.10-3.mga7
+ Revision: 1333481
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 0.9.10-2.mga7
+ Revision: 1301022
- Mageia 7 Mass Rebuild

* Sat Jul 28 2018 daviddavid <daviddavid> 0.9.10-1.mga7
+ Revision: 1245602
- new version: 0.9.10
- remove merged upstream patch

* Fri Jun 01 2018 daviddavid <daviddavid> 0.9.9-2.mga7
+ Revision: 1233422
- backport some upstream fixes

* Sun Dec 24 2017 daviddavid <daviddavid> 0.9.9-1.mga7
+ Revision: 1184504
- new version: 0.9.9

* Fri Aug 04 2017 daviddavid <daviddavid> 0.9.8-2.mga7
+ Revision: 1134761
- rebuild for Python 3.6

* Sat Jun 03 2017 akien <akien> 0.9.8-1.mga6
+ Revision: 1106031
- Version 0.9.8

* Sun Nov 06 2016 daviddavid <daviddavid> 0.9.7-1.mga6
+ Revision: 1065557
- new version: 0.9.7

* Mon Jun 27 2016 daviddavid <daviddavid> 0.9.6-1.mga6
+ Revision: 1037811
- new version: 0.9.6

* Thu Apr 21 2016 tv <tv> 0.9.5-2.mga6
+ Revision: 1004202
- rebuid for libhunspell 1.4

* Mon Mar 28 2016 daviddavid <daviddavid> 0.9.5-1.mga6
+ Revision: 995868
- new version: 0.9.5

* Thu Mar 17 2016 daviddavid <daviddavid> 0.9.4-1.mga6
+ Revision: 992322
- new version: 0.9.4

* Sun Jan 31 2016 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 929345
- new version: 0.9.3

* Mon Dec 21 2015 daviddavid <daviddavid> 0.9.2-1.mga6
+ Revision: 913209
- new version: 0.9.2

* Mon Nov 30 2015 daviddavid <daviddavid> 0.9.1-1.mga6
+ Revision: 907281
- new version: 0.9.1

* Wed Nov 18 2015 daviddavid <daviddavid> 0.9.0-1.mga6
+ Revision: 903937
- new version: 0.9.0
- rename and rediff patch0
- update BuildRequires list
- requires python3-lxml
- fix license

* Fri Sep 25 2015 daviddavid <daviddavid> 0.8.7-5.mga6
+ Revision: 883452
- rebuild for new boost 1.59.0
- introduce license macro

* Fri Sep 18 2015 tv <tv> 0.8.7-4.mga6
+ Revision: 880275
+ rebuild (emptylog)

* Tue Sep 15 2015 daviddavid <daviddavid> 0.8.7-3.mga6
+ Revision: 879555
- fix empty lang file (fix build with new rpm 4.13.0)

* Wed Aug 26 2015 cjw <cjw> 0.8.7-2.mga6
+ Revision: 869999
- rebuild with gcc 5

* Sun Jul 12 2015 daviddavid <daviddavid> 0.8.7-1.mga6
+ Revision: 853437
- new version: 0.8.7
- update URL and Source Url
- use upstream desktop file
- add Patch0 to add french translation on upstream desktop file
- update BuildRequires
- fix non-needed Qt5 libraries for rpm package

* Wed Dec 03 2014 daviddavid <daviddavid> 0.8.2-1.mga5
+ Revision: 800517
- new version: 0.8.2
- update Source link-url
- switch BRs to pkgconfig
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.7.4-3.mga5
+ Revision: 747839
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.4-2.mga5
+ Revision: 689152
- Mageia 5 Mass Rebuild

* Wed Nov 20 2013 dams <dams> 0.7.4-1.mga4
+ Revision: 552071
- new version 0.7.4

* Sat Oct 19 2013 umeabot <umeabot> 0.7.3-2.mga4
+ Revision: 531779
- Mageia 4 Mass Rebuild

* Sat Aug 10 2013 wally <wally> 0.7.3-1.mga4
+ Revision: 465092
- build with system Xerces
+ dams <dams>
- new version 0.7.3
+ joequant <joequant>
- rebuild to clean dependencies
+ fwang <fwang>
- build with shared flightcrew

* Thu Apr 11 2013 dams <dams> 0.7.1-1.mga3
+ Revision: 409661
- update BR to match qt5*
- update boost require as it needs 1.53
- new version 0.7.1

* Mon Jan 14 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 382012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Office/Other -> Office/Utilities

* Wed Dec 26 2012 dams <dams> 0.6.2-1.mga3
+ Revision: 335227
- new version 0.6.2

* Thu Dec 20 2012 fwang <fwang> 0.6.1-2.mga3
+ Revision: 333103
- rebuild for new boost

* Mon Dec 03 2012 dams <dams> 0.6.1-1.mga3
+ Revision: 325889
- new version 0.6.1

* Sat Dec 01 2012 fwang <fwang> 0.6.0-2.mga3
+ Revision: 323835
- rebuild for new pcre
+ dams <dams>
- new version 0.6.0
- check versions for buildrequires

* Sat Aug 11 2012 dams <dams> 0.5.3-1.mga3
+ Revision: 280683
- new version 0.5.3
- update buildrequires
- clean specfile

* Tue Nov 29 2011 fwang <fwang> 0.4.2-1.mga2
+ Revision: 174114
- build without system libs, especially boost lib
- new version 0.4.2
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.4.0-0.rc1.2.mga2
+ Revision: 112015
- use boost mt libs
- rebuild for new boost

* Mon Apr 25 2011 ahmad <ahmad> 0.4.0-0.rc1.1.mga1
+ Revision: 90316
- Update to 0.4.0RC1

* Fri Mar 25 2011 ahmad <ahmad> 0.4.0-0.b3.1.mga1
+ Revision: 77218
- update to 0.4.0b3

* Mon Mar 21 2011 ahmad <ahmad> 0.4.0-0.b2.1.mga1
+ Revision: 75286
- 0.4.0b2

* Mon Mar 21 2011 ahmad <ahmad> 0.4.0-0.b1.1.mga1
+ Revision: 75085
- update to 0.4.0b1
- rediff patch1
- update the file list

* Sat Jan 15 2011 ahmad <ahmad> 0.3.2-2.mga1
+ Revision: 19761
- update to 0.3.4
- imported package sigil


* Wed Nov 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.2-1mdv2011.0
+ Revision: 600474
- update to 0.3.2

* Mon Nov 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 595009
- update to 0.3.1

* Fri Nov 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-1mdv2011.0
+ Revision: 593775
- update to 0.3.0

* Sun Oct 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-0.RC2.1mdv2011.0
+ Revision: 584546
- update to 0.3.0RC2

* Sat Oct 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.0-0.RC1.1mdv2011.0
+ Revision: 584293
- update to 0.3.0RC1
- bump qt BR to 4.7.0
- add BR, libxerces-c-devel
- rediff patch1 and make the package build with system libxerces-c (thanks to Anssi \o/)
- modify spec to make packaging rc's easier

* Fri Aug 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.4-1mdv2011.0
+ Revision: 569342
- update to 0.2.4
- rediff patch1

* Wed Jun 23 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.2.3-1mdv2011.0
+ Revision: 548731
- what do you know? new upstream release 0.2.3
- add more BR (they're pulled by qt-devel, but I prefer an explicit BR in this case)
- import sigil


